org.springframework.beans.factory

## Class FactoryBeanNotInitializedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.FactoryBeanNotInitializedException

All Implemented Interfaces:
  Serializable

    public class FactoryBeanNotInitializedException
    extends FatalBeanException

Exception to be thrown from a FactoryBean's `getObject()` method if the bean is not fully initialized yet, for example because it is involved in a circular reference.

Note: A circular reference with a FactoryBean cannot be solved by eagerly caching singleton instances like with normal beans. The reason is that every FactoryBean needs to be fully initialized before it can return the created bean, while only specific normal beans need to be initialized - that is, if a collaborating bean actually invokes them on initialization instead of just storing the reference.

Since:
  30.10.2003
Author:
  Juergen Hoeller
See Also:
  `FactoryBean.getObject()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FactoryBeanNotInitializedException()` Create a new FactoryBeanNotInitializedException with the default message.
`FactoryBeanNotInitializedException(String msg)` Create a new FactoryBeanNotInitializedException with the given message.

### Method Summary

### Methods inherited from class org.springframework.beans.BeansException

`equals, hashCode`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FactoryBeanNotInitializedException

    public FactoryBeanNotInitializedException()

Create a new FactoryBeanNotInitializedException with the default message.

#### FactoryBeanNotInitializedException

    public FactoryBeanNotInitializedException(String msg)

Create a new FactoryBeanNotInitializedException with the given message.

Parameters:
  `msg` - the detail message